GET https://api.d-tools.com/SI/Subscribe/Tasks?clients[0]={clients[0]}&clients[1]={clients[1]}&progresses[0]={progresses[0]}&progresses[1]={progresses[1]}&projectId={projectId}&includeImported={includeImported}&searchText={searchText}&includeDeleted={includeDeleted}&pageNumber={pageNumber}&pageSize={pageSize}
Get tasks published by a SI user.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| clients |
Clients to filter tasks (Optional) |
Collection of string |
None. |
| progresses |
Progresses to filter tasks (Optional) |
Collection of string |
None. |
| projectId |
ProjectId to filter tasks (Optional) |
string |
None. |
| includeImported |
Boolean. Include already imported tasks. Optional with default value false which means by default you will only see tasks which are not imported. |
boolean |
Default value is False |
| searchText |
The search text. |
string |
None. |
| includeDeleted |
Boolean. Include task deleted in SI. Optional with default value false which means by default you will only see active tasks which are not deleted. |
boolean |
Default value is False |
| pageNumber |
The page number. |
integer |
Default value is 1 |
| pageSize |
The page size. |
integer |
Default value is 50 |
Body Parameters
None.
Response Information
Resource Description
TasksResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Tasks |
Tasks array |
Collection of TaskInfo |
None. |
| TotalCount |
Total count of tasks |
integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"Tasks": [
{
"Id": "sample string 1",
"Client": "sample string 2",
"Number": "sample string 3",
"Name": "sample string 4",
"Progress": "sample string 5",
"Description": "sample string 6",
"ImportedOn": "2026-06-18T01:38:22.6627583+00:00",
"PublishedOn": "2026-06-18T01:38:22.6627583+00:00",
"Deleted": true
},
{
"Id": "sample string 1",
"Client": "sample string 2",
"Number": "sample string 3",
"Name": "sample string 4",
"Progress": "sample string 5",
"Description": "sample string 6",
"ImportedOn": "2026-06-18T01:38:22.6627583+00:00",
"PublishedOn": "2026-06-18T01:38:22.6627583+00:00",
"Deleted": true
}
],
"TotalCount": 1
}